Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 421009 - x11-libs/qt-script-4.8.2 fails to compile with ABI=x32
Summary: x11-libs/qt-script-4.8.2 fails to compile with ABI=x32
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: x32
  Show dependency tree
 
Reported: 2012-06-13 18:02 UTC by Xavier Miller (RETIRED)
Modified: 2015-10-25 05:06 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,65.61 KB, text/plain)
2012-06-13 18:05 UTC, Xavier Miller (RETIRED)
Details
Don't define JSVALUE64 on x32 (javascriptcore-x32.patch,1011 bytes, patch)
2012-06-14 14:46 UTC, Davide Pesavento
Details | Diff
Enable JIT on x32 (jit-x32.patch,1.05 KB, patch)
2012-06-22 17:01 UTC, Davide Pesavento
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xavier Miller (RETIRED) gentoo-dev 2012-06-13 18:02:18 UTC
Step by step to x32 =:o)>

In file included from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSCell.h:27:0,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSAPIValueWrapper.h:28,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/APICast.h:29,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSBase.cpp:30:
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:169:47: warning: overflow in implicit constant conversion [-Woverflow]
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:172:52: warning: overflow in implicit constant conversion [-Woverflow]
x86_64-gentoo-linux-gnu-g++ -c -O2 -pipe -fomit-frame-pointer -march=native -mtune=native -I/usr/include/freetype2 -Wall -Wreturn-type -fno-strict-aliasing -Wcast-align -Wchar-subscripts -Wformat-security -Wreturn-type -Wno-unused-parameter -Wno-sign-compare -Wno-switch -Wno-switch-enum -Wundef -Wmissing-noreturn -Winit-self -fno-stack-protector -O2 -fvisibility=hidden -fvisibility-inlines-hidden -D_REENTRANT -fPIC -DQT_SHARED -DJSC=QTJSC -Djscyyparse=qtjscyyparse -Djscyylex=qtjscyylex -Djscyyerror=qtjscyyerror -DWTF=QTWTF -DQT_BUILD_SCRIPT_LIB -DQT_NO_USING_NAMESPACE -DQLALR_NO_QSCRIPTGRAMMAR_DEBUG_INFO -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT_MOC_COMPAT -DQT_USE_QSTRINGBUILDER -DBUILDING_QT__=1 -DWTF_USE_ACCELERATED_COMPOSITING -DNDEBUG -DBUILDING_QT__ -DBUILDING_JavaScriptCore -DBUILDING_WTF -DENABLE_JIT=1 -DENABLE_YARR_JIT=1 -DENABLE_YARR=1 -DWTF_USE_JAVASCRIPTCORE_BINDINGS=1 -DWTF_CHANGES=1 -DNDEBUG -DJS_NO_EXPORT -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_HAVE_MMX -DQT_HAVE_3DNOW -DQT_HAVE_SSE -DQT_HAVE_MMXEXT -DQT_HAVE_SSE2 -DQT_HAVE_SSE3 -DQT_HAVE_SSSE3 -DQT_HAVE_SSE4_1 -DQT_HAVE_SSE4_2 -DQT_HAVE_AVX -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -I../../mkspecs/linux-g++ -I. -I../../include/QtCore -I../../include -I../3rdparty/javascriptcore/JavaScriptCore -I../3rdparty/javascriptcore -I../3rdparty/javascriptcore/JavaScriptCore/assembler -I../3rdparty/javascriptcore/JavaScriptCore/bytecode -I../3rdparty/javascriptcore/JavaScriptCore/bytecompiler -I../3rdparty/javascriptcore/JavaScriptCore/debugger -I../3rdparty/javascriptcore/JavaScriptCore/interpreter -I../3rdparty/javascriptcore/JavaScriptCore/jit -I../3rdparty/javascriptcore/JavaScriptCore/parser -I../3rdparty/javascriptcore/JavaScriptCore/pcre -I../3rdparty/javascriptcore/JavaScriptCore/profiler -I../3rdparty/javascriptcore/JavaScriptCore/runtime -I../3rdparty/javascriptcore/JavaScriptCore/wrec -I../3rdparty/javascriptcore/JavaScriptCore/wtf -I../3rdparty/javascriptcore/JavaScriptCore/wtf/symbian -I../3rdparty/javascriptcore/JavaScriptCore/wtf/unicode -I../3rdparty/javascriptcore/JavaScriptCore/yarr -I../3rdparty/javascriptcore/JavaScriptCore/API -I../3rdparty/javascriptcore/JavaScriptCore/ForwardingHeaders -I../3rdparty/javascriptcore/JavaScriptCore/generated -I../../include/QtScript -I.rcc/release-shared -I/var/tmp/portage/x11-libs/qt-script-4.8.2/work/qt-everywhere-opensource-src-4.8.2/src/3rdparty/javascriptcore/WebKit/qt/Api -I../3rdparty/javascriptcore/JavaScriptCore/pcre -I/var/tmp/portage/x11-libs/qt-script-4.8.2/work/qt-everywhere-opensource-src-4.8.2/src/3rdparty/javascriptcore/JavaScriptCore/tmp -I../3rdparty/javascriptcore/JavaScriptCore -I../3rdparty/javascriptcore/JavaScriptCore/parser -I../3rdparty/javascriptcore/JavaScriptCore/bytecompiler -I../3rdparty/javascriptcore/JavaScriptCore/debugger -I../3rdparty/javascriptcore/JavaScriptCore/runtime -I../3rdparty/javascriptcore/JavaScriptCore/wtf -I/var/tmp/portage/x11-libs/qt-script-4.8.2/work/qt-everywhere-opensource-src-4.8.2/src/script/../3rdparty/javascriptcore/JavaScriptCore/unicode -I../3rdparty/javascriptcore/JavaScriptCore/interpreter -I../3rdparty/javascriptcore/JavaScriptCore/jit -I../3rdparty/javascriptcore/JavaScriptCore/profiler -I../3rdparty/javascriptcore/JavaScriptCore/wrec -I../3rdparty/javascriptcore/JavaScriptCore/API -I../3rdparty/javascriptcore/JavaScriptCore/bytecode -I../3rdparty/javascriptcore/JavaScriptCore/assembler -I../3rdparty/javascriptcore/JavaScriptCore/generated -I. -Iparser -I.moc/release-shared -o obj/release/JSCallbackObject.o ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackObject.cpp
In file included from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSCell.h:27:0,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSObject.h:30,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackConstructor.h:30,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackConstructor.cpp:27:
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:169:47: warning: overflow in implicit constant conversion [-Woverflow]
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:172:52: warning: overflow in implicit constant conversion [-Woverflow]
In file included from ../3rdparty/javascriptcore/JavaScriptCore/runtime/Collector.h:31:0,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalData.h:32,
                 from ../3rdparty/javascriptcore/JavaScriptCore/interpreter/CallFrame.h:26,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/ClassInfo.h:26,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSObject.h:27,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackConstructor.h:30,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackConstructor.cpp:27:
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h: In instantiation of 'TO QTWTF::bitwise_cast(FROM) [with TO = int; FROM = double]':
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:52:49:   required from here
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h:63:1: error: size of array is negative
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h: In instantiation of 'TO QTWTF::bitwise_cast(FROM) [with TO = double; FROM = int]':
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:57:47:   required from here
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h:63:1: error: size of array is negative
In file included from ../3rdparty/javascriptcore/JavaScriptCore/runtime/Collector.h:31:0,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSCell.h:26,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSAPIValueWrapper.h:28,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/APICast.h:29,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSBase.cpp:30:
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h: In instantiation of 'TO QTWTF::bitwise_cast(FROM) [with TO = int; FROM = double]':
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:52:49:   required from here
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h:63:1: error: size of array is negative
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h: In instantiation of 'TO QTWTF::bitwise_cast(FROM) [with TO = double; FROM = int]':
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:57:47:   required from here
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h:63:1: error: size of array is negative
make: *** [obj/release/JSCallbackConstructor.o] Error 1
make: *** Waiting for unfinished jobs....
In file included from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSCell.h:27:0,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSObject.h:30,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/InternalFunction.h:27,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackFunction.h:29,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackFunction.cpp:28:
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:169:47: warning: overflow in implicit constant conversion [-Woverflow]
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:172:52: warning: overflow in implicit constant conversion [-Woverflow]
make: *** [obj/release/JSBase.o] Error 1
In file included from ../3rdparty/javascriptcore/JavaScriptCore/assembler/MacroAssembler.h:46:0,
                 from ../3rdparty/javascriptcore/JavaScriptCore/bytecode/Instruction.h:32,
                 from ../3rdparty/javascriptcore/JavaScriptCore/bytecode/CodeBlock.h:34,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackFunction.cpp:32:
../3rdparty/javascriptcore/JavaScriptCore/assembler/MacroAssemblerX86_64.h: In member function 'QTJSC::AbstractMacroAssembler<QTJSC::X86Assembler>::Call QTJSC::MacroAssemblerX86_64::call()':
../3rdparty/javascriptcore/JavaScriptCore/assembler/MacroAssemblerX86_64.h:113:22: warning: variable 'label' set but not used [-Wunused-but-set-variable]
../3rdparty/javascriptcore/JavaScriptCore/assembler/MacroAssemblerX86_64.h: In member function 'QTJSC::AbstractMacroAssembler<QTJSC::X86Assembler>::Call QTJSC::MacroAssemblerX86_64::tailRecursiveCall()':
../3rdparty/javascriptcore/JavaScriptCore/assembler/MacroAssemblerX86_64.h:121:22: warning: variable 'label' set but not used [-Wunused-but-set-variable]
../3rdparty/javascriptcore/JavaScriptCore/assembler/MacroAssemblerX86_64.h: In member function 'QTJSC::AbstractMacroAssembler<QTJSC::X86Assembler>::Call QTJSC::MacroAssemblerX86_64::makeTailRecursiveCall(QTJSC::AbstractMacroAssembler<QTJSC::X86Assembler>::Jump)':
../3rdparty/javascriptcore/JavaScriptCore/assembler/MacroAssemblerX86_64.h:130:22: warning: variable 'label' set but not used [-Wunused-but-set-variable]
In file included from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSCell.h:27:0,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSObject.h:30,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackObject.h:32,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackObject.cpp:28:
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:169:47: warning: overflow in implicit constant conversion [-Woverflow]
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:172:52: warning: overflow in implicit constant conversion [-Woverflow]
In file included from ../3rdparty/javascriptcore/JavaScriptCore/runtime/Collector.h:31:0,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalData.h:32,
                 from ../3rdparty/javascriptcore/JavaScriptCore/interpreter/CallFrame.h:26,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/ClassInfo.h:26,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSObject.h:27,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/InternalFunction.h:27,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackFunction.h:29,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackFunction.cpp:28:
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h: In instantiation of 'TO QTWTF::bitwise_cast(FROM) [with TO = int; FROM = double]':
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:52:49:   required from here
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h:63:1: error: size of array is negative
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h: In instantiation of 'TO QTWTF::bitwise_cast(FROM) [with TO = double; FROM = int]':
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:57:47:   required from here
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h:63:1: error: size of array is negative
In file included from ../3rdparty/javascriptcore/JavaScriptCore/runtime/Collector.h:31:0,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalData.h:32,
                 from ../3rdparty/javascriptcore/JavaScriptCore/interpreter/CallFrame.h:26,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/ClassInfo.h:26,
                 from ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSObject.h:27,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackObject.h:32,
                 from ../3rdparty/javascriptcore/JavaScriptCore/API/JSCallbackObject.cpp:28:
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h: In instantiation of 'TO QTWTF::bitwise_cast(FROM) [with TO = int; FROM = double]':
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:52:49:   required from here
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h:63:1: error: size of array is negative
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h: In instantiation of 'TO QTWTF::bitwise_cast(FROM) [with TO = double; FROM = int]':
../3rdparty/javascriptcore/JavaScriptCore/runtime/JSImmediate.h:57:47:   required from here
../3rdparty/javascriptcore/JavaScriptCore/wtf/StdLibExtras.h:63:1: error: size of array is negative
make: *** [obj/release/JSCallbackFunction.o] Error 1
make: *** [obj/release/JSCallbackObject.o] Error 1
 * ERROR: x11-libs/qt-script-4.8.2 failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=x11-libs/qt-script-4.8.2'`,
 * the complete build log and the output of `emerge -pqv '=x11-libs/qt-script-4.8.2'`.
 * The complete build log is located at '/var/tmp/portage/x11-libs/qt-script-4.8.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-libs/qt-script-4.8.2/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-libs/qt-script-4.8.2/work/qt-everywhere-opensource-src-4.8.2/src/script'
 * S: '/var/tmp/portage/x11-libs/qt-script-4.8.2/work/qt-everywhere-opensource-src-4.8.2'

>>> Failed to emerge x11-libs/qt-script-4.8.2, Log file:

>>>  '/var/tmp/portage/x11-libs/qt-script-4.8.2/temp/build.log'


Reproducible: Always
Comment 1 Xavier Miller (RETIRED) gentoo-dev 2012-06-13 18:02:39 UTC
emerge --info =x11-libs/qt-script-4.8.2
Portage 2.2.0_alpha110 (default/linux/amd64/10.0/x32, gcc-4.7.0, glibc-2.15-r2, 3.4.0-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.4.0-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_P8600_@_2.40GHz-with-gentoo-2.1
Timestamp of tree: Mon, 11 Jun 2012 06:30:01 +0000
distcc 3.1 x86_64-gentoo-linux-gnu [disabled]
app-shells/bash:          4.2_p29
dev-lang/python:          2.7.3-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.2
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.69
sys-devel/automake:       1.11.5, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.7.0
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo local pandaboard pd-overlay proaudio
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE freedist"
CBUILD="x86_64-gentoo-linux-gnu"
CFLAGS="-O2 -pipe -fomit-frame-pointer -march=native -mtune=native"
CHOST="x86_64-gentoo-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -fomit-frame-pointer -march=native -mtune=native"
DISTDIR="/var/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y --buildpkg --quiet-build=n"
FEATURES="assume-digests binpkg-logs buildpkg candy collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles multilib-strict news parallel-fetch parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--hash-style=gnu -Wl,--as-needed"
LINGUAS="fr"
MAKEOPTS="-j5"
PKGDIR="/var/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/overlay /var/lib/layman/pandaboard /var/lib/layman/pd-overlay /var/lib/layman/pro-audio"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac acl alsa amd64 amr apng branding btrfs bzip2 cairo cdda cddb cli consolekit cracklib crypt cups cxx dbus device-mapper dri dssi encode exif fat ffmpeg fftw flac fortran gif gpm gstreamer gudev iconv id3tag jack jpeg ladspa lame libsamplerate lxde mmx modules mp3 mpeg mudflap multilib ncurses nls nptl ntfs ogg opengl openmp osc pam pcre pdf png policykit pppd qt3support qt4 readline rubberband samba sdl session sna sqlite sse sse2 ssl ssse3 svg tcpd threads tiff truetype udev unicode usb vorbis wmf x264 xcb xetex xorg xvid zlib" ALSA_CARDS="hda-intel usb-audio virmidi" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DVB_CARDS="usb-af9015" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Xavier Miller (RETIRED) gentoo-dev 2012-06-13 18:05:02 UTC
Created attachment 315219 [details]
build.log
Comment 3 Xavier Miller (RETIRED) gentoo-dev 2012-06-13 20:13:49 UTC
FYI, the proposed patch from bug 420705 is not enough here. The error message is different, and is of the kind "I presume sizeof(void*) == sizeof(time_t)"
Comment 4 Davide Pesavento gentoo-dev 2012-06-14 13:28:55 UTC
The failure is in JavaScriptCore, I guess qt-webkit is going to fail in the same way.
Comment 5 Davide Pesavento gentoo-dev 2012-06-14 14:46:14 UTC
Created attachment 315311 [details, diff]
Don't define JSVALUE64 on x32

Xavier, please try this patch.
Comment 6 Aleksandr Yakimov 2012-06-14 16:44:52 UTC
(In reply to comment #5)
> Don't define JSVALUE64 on x32
> 
> please try this patch.

In file included from ../3rdparty/javascriptcore/JavaScriptCore/bytecode/CodeBlock.cpp:33:0:
../3rdparty/javascriptcore/JavaScriptCore/jit/JIT.h:510:2: error: #error "JSVALUE32_64 not supported on this platform."
Comment 7 Davide Pesavento gentoo-dev 2012-06-14 16:59:59 UTC
mmm... porting the JIT compiler may not be trivial. Does it build with USE=-jit?
Comment 8 Aleksandr Yakimov 2012-06-15 17:31:46 UTC
(In reply to comment #7)
> mmm... porting the JIT compiler may not be trivial. Does it build with
> USE=-jit?

Yes, it does! with patch from bug #420705.
Comment 9 Xavier Miller (RETIRED) gentoo-dev 2012-06-16 15:55:13 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > mmm... porting the JIT compiler may not be trivial. Does it build with
> > USE=-jit?
> 
> Yes, it does! with patch from bug #420705.

Same for me : with USE=-jit and this patch + patch from bug #420705 did the work.
Comment 10 Davide Pesavento gentoo-dev 2012-06-22 17:01:25 UTC
Created attachment 315983 [details, diff]
Enable JIT on x32

Could you please try this patch together with the patch in comment #5 and USE=jit enabled?
Comment 11 Davide Pesavento gentoo-dev 2012-06-26 21:16:57 UTC
Nevermind, USE=jit has been masked on amd64 for bug 423141 anyway.

I've applied my patch from comment #5 to qt-script-4.8.2, closing.
Comment 12 Luke-Jr 2015-10-25 03:57:07 UTC
This got lost again; do I open a new bug?
Comment 13 Davide Pesavento gentoo-dev 2015-10-25 04:50:29 UTC
No, it didn't get lost. The x32 patch was intentionally dropped during the 4.8.6 version bump because it failed to apply, and no one cared/cares about x32 anyway. The fact that you're the first who noticed *one year* after the bump says a lot.

Feel free to open a new bug, but I will not do anything unless you provide an updated patch.
Comment 14 Luke-Jr 2015-10-25 05:06:20 UTC
(In reply to Davide Pesavento from comment #13)
> No, it didn't get lost. The x32 patch was intentionally dropped during the
> 4.8.6 version bump because it failed to apply, and no one cared/cares about
> x32 anyway. The fact that you're the first who noticed *one year* after the
> bump says a lot.
> 
> Feel free to open a new bug, but I will not do anything unless you provide
> an updated patch.

Looks like a very minor rebase. I can't speak for others, but I "don't care" about x32 because it isn't usable yet - as soon as it is, I hope to switch to an x32-only system. But in the meantime, I can only check these things occasionally. :(

Anyhow, updated patch on https://github.com/gentoo/gentoo/pull/289